com.ihr.xbrl.pojo

## Class XBRLInstance

- java.lang.Object
- - com.ihr.xbrl.pojo.XMLNode
  - - com.ihr.xbrl.pojo.XMLFragment
    - - com.ihr.xbrl.pojo.XBRLDocument
      - - com.ihr.xbrl.pojo.XBRLInstance

- All Implemented Interfaces:
    HasId, XBRLFactList, java.io.Serializable

      public class XBRLInstance
      extends XBRLDocument
      implements XBRLFactList

  The Class XBRLInstance.
  Author:
    Ignacio
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XBRLInstance()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addFact(XBRLFact fact)` Adds the fact.
    `boolean` | `addFootnoteLink(XBRLExtendedLink footnoteLink)` Adds the footnote link.
    `java.util.Collection<XBRLFact>` | `getFacts()` Gets the facts.
    `java.util.Set<XBRLExtendedLink>` | `getFootnoteLinks()` Gets the footnote links.
    `java.util.Set<XBRLLinkbase>` | `getLinkbases()` Gets the linkbases.
    `java.util.Set<XBRLTaxonomy>` | `getSchemas()` Gets the schemas.
    `boolean` | `removeFact(XBRLFact fact)` Removes the fact.
    `boolean` | `removeFootnoteLink(XBRLExtendedLink footnoteLink)` Removes the footnote link.
    `void` | `setHash(java.lang.Integer value)` Method used by hibernate to set the value.
    `void` | `setLinkbases(java.util.Set<XBRLLinkbase> linkbases)` Sets the linkbases.
    `void` | `setSchemas(java.util.Set<XBRLTaxonomy> schemas)` Sets the schemas.

    - ### Methods inherited from class com.ihr.xbrl.pojo.XBRLDocument

      `equals, getContent, getURI, hashCode, setContent, setURI`

    - ### Methods inherited from class com.ihr.xbrl.pojo.XMLFragment

      `addAttribute, addChildren, getAttributes, getChildren, getNamespaces, removeAttribute, removeChildren, setNamespaces`

    - ### Methods inherited from class com.ihr.xbrl.pojo.XMLNode

      `getId, getName, getValue, setHash, setId, setName, setValue`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XBRLInstance

          public XBRLInstance()

  - ### Method Detail

    - #### getSchemas

          public java.util.Set<XBRLTaxonomy> getSchemas()

      Gets the schemas.
      Returns:
        the schemas

    - #### setSchemas

          public void setSchemas(java.util.Set<XBRLTaxonomy> schemas)

      Sets the schemas.
      Parameters:
        `schemas` - the schemas to set

    - #### getLinkbases

          public java.util.Set<XBRLLinkbase> getLinkbases()

      Gets the linkbases.
      Returns:
        the linkbases

    - #### setLinkbases

          public void setLinkbases(java.util.Set<XBRLLinkbase> linkbases)

      Sets the linkbases.
      Parameters:
        `linkbases` - the linkbases to set

    - #### getFootnoteLinks

          public java.util.Set<XBRLExtendedLink> getFootnoteLinks()

      Gets the footnote links.
      Returns:
        the footnoteLinks

    - #### addFootnoteLink

          public boolean addFootnoteLink(XBRLExtendedLink footnoteLink)

      Adds the footnote link.
      Parameters:
        `footnoteLink` - the footnote link
      Returns:
        true, if successful

    - #### removeFootnoteLink

          public boolean removeFootnoteLink(XBRLExtendedLink footnoteLink)

      Removes the footnote link.
      Parameters:
        `footnoteLink` - the footnote link
      Returns:
        true, if successful

    - #### getFacts

          public java.util.Collection<XBRLFact> getFacts()

      Description copied from interface: `XBRLFactList`
      Gets the facts.
      Specified by:
        `getFacts` in interface `XBRLFactList`
      Returns:
        the facts

    - #### addFact

          public boolean addFact(XBRLFact fact)

      Description copied from interface: `XBRLFactList`
      Adds the fact.
      Specified by:
        `addFact` in interface `XBRLFactList`
      Parameters:
        `fact` - the fact to be added to the collection
      Returns:
        boolean true if successfully added

    - #### removeFact

          public boolean removeFact(XBRLFact fact)

      Description copied from interface: `XBRLFactList`
      Removes the fact.
      Specified by:
        `removeFact` in interface `XBRLFactList`
      Parameters:
        `fact` - the fact to be removed from the collection
      Returns:
        boolean true if successfully removed

    - #### setHash

          public void setHash(java.lang.Integer value)

      Method used by hibernate to set the value.
      Parameters:
        `value` - the new hash